RagTime5StructManager::ZoneLink Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5StructManager::ZoneLink Struct Reference

a zone link in RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions
| ZoneLink ()
| constructor More...
int | getSubZoneId (int i) const
| returns the sub zone id More...

## Public Attributes
int | m_dataId
| the data id (or 0) More...
long | m_subZoneId [2]
| the sub id zones More...
std::vector< long > | m_valuesList
| list of potential values More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ZoneLink const &link)
| operator<< More...

## Detailed Description

a zone link in RagTime 5/6 structures

## Constructor & Destructor Documentation

## § ZoneLink()

RagTime5StructManager::ZoneLink::ZoneLink | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § getSubZoneId()

int RagTime5StructManager::ZoneLink::getSubZoneId | ( | int | i | ) | const
| inline

returns the sub zone id

Referenced by RagTime5Graph::checkGraphicCluster(), and RagTime5Spreadsheet::send().

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ZoneLink const & | link
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_dataId

int RagTime5StructManager::ZoneLink::m_dataId

the data id (or 0)

Referenced by RagTime5Graph::checkGraphicCluster(), RagTime5ParserInternal::ClustListParser::parseData(), RagTime5PipelineInternal::ClustListParser::parseData(), RagTime5LayoutInternal::ClustListParser::parseData(), RagTime5Parser::readClusterLinkList(), and RagTime5Spreadsheet::send().

## § m_extra

std::string RagTime5StructManager::ZoneLink::m_extra

extra data

## § m_subZoneId

long RagTime5StructManager::ZoneLink::m_subZoneId[2]

the sub id zones

Referenced by RagTime5Graph::checkGraphicCluster(), RagTime5ParserInternal::ClustListParser::parseData(), RagTime5PipelineInternal::ClustListParser::parseData(), and RagTime5Parser::readClusterLinkList().

## § m_valuesList

std::vector<long> RagTime5StructManager::ZoneLink::m_valuesList

list of potential values

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx